Subject: Re: bug#63292: 29.0.60; something wrong when exchange option and command key on Macos

From: Daniel Martín <[email-masked]>
Date: Fri, 05 May 2023 13:56:35 +0200

tags 63292 + unreproducible
thanks

赵宇灏 <[email-masked]> writes:

> I use test.el :
>
> (setq mac-option-modifier 'super)
> (setq mac-command-modifier 'meta)
>
> to exchange option and command key on my emacs.
>
> but when i When I select a region, it will automatically capitalize the first letter and the cursor will automatically move back a certain distance.
>

I cannot reproduce this bug.  Can you reproduce it in a 29.0.90 build from
https://emacsformacosx.com/?  If so, we'd need more detailed steps to
reproduce it (how exactly you select the region, if it happens if you
start Emacs with "Emacs -Q", etc.).